#include <msp.h>
#include "timer.h"

time_t current_time;

void set_time(time_t t)
{
    current_time.hours = t.hours;
    current_time.minutes = t.minutes;
    current_time.seconds = t.seconds;
    current_time.miliseconds = t.miliseconds;
}

void get_time(time_t *t)
{
    *t = current_time;
}

void inc_time(void)
{
    current_time.miliseconds += TIME_INCREMENT;

    if(current_time.miliseconds == MAX_MILISECONDS)
    {
        current_time.miliseconds = 0;
        current_time.seconds++;
        if(current_time.seconds == MAX_SECONDS)
        {
            current_time.seconds = 0;
            current_time.minutes++;
            if(current_time.minutes == MAX_MINUTES)
            {
                current_time.minutes = 0;
                current_time.hours++;
                if(current_time.hours == MAX_HOURS)
                {
                    current_time.hours = 0;
                }
            }
        }
    }
}
